/*****************************************************************************
 * Copyright © 2015-2016 VideoLAN, VideoLabs SAS
 *****************************************************************************
 *
 * Authors: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston MA 02110-1301, USA.
 *****************************************************************************/
/*
 * By committing to this project, you allow VideoLAN and VideoLabs to relicense
 * the code to a different OSI approved license, in case it is required for
 * compatibility with the Store
 *****************************************************************************/

#ifndef EQUALIZER_H_
# define EQUALIZER_H_

#include "interface.h"

typedef struct equalizer equalizer;

equalizer*
equalizer_create(interface* p_intf, playback_service* p_ps, Evas_Object *parent);

void
equalizer_destroy(equalizer* p_eq);

bool
equalizer_is_enabled();

float
equalizer_get_preamp_value();

float
equalizer_get_band_value( unsigned int i_band );

unsigned int
equalizer_get_nb_bands();

#endif // EQUALIZER_H_
